org.apache.hc.client5.http.impl.classic

## Class MainClientExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.MainClientExec

- All Implemented Interfaces:
    ExecChainHandler

      @Contract(threading=STATELESS)
       @Internal
      public final class MainClientExec
      extends Object
      implements ExecChainHandler

  Usually the last request execution handler in the classic request execution chain that is responsible for execution of request / response exchanges with the opposite endpoint.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainClientExec(HttpClientConnectionManager connectionManager, org.apache.hc.core5.http.protocol.HttpProcessor httpProcessor, org.apache.hc.core5.http.ConnectionReuseStrategy reuseStrategy, ConnectionKeepAliveStrategy keepAliveStrategy, UserTokenHandler userTokenHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hc.core5.http.ClassicHttpResponse` | `execute(org.apache.hc.core5.http.ClassicHttpRequest request, ExecChain.Scope scope, ExecChain chain)` Executes the actual HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MainClientExec

          public MainClientExec(HttpClientConnectionManager connectionManager,
                                org.apache.hc.core5.http.protocol.HttpProcessor httpProcessor,
                                org.apache.hc.core5.http.ConnectionReuseStrategy reuseStrategy,
                                ConnectionKeepAliveStrategy keepAliveStrategy,
                                UserTokenHandler userTokenHandler)

      Since:
        4.4

  - ### Method Detail

    - #### execute

          public org.apache.hc.core5.http.ClassicHttpResponse execute(org.apache.hc.core5.http.ClassicHttpRequest request,
                                                                      ExecChain.Scope scope,
                                                                      ExecChain chain)
                                                               throws IOException,
                                                                      org.apache.hc.core5.http.HttpException

      Description copied from interface: `ExecChainHandler`
      Executes the actual HTTP request. The handler can choose to return a response message or delegate request execution to the next element in the execution chain.
      Specified by:
        `execute` in interface `ExecChainHandler`
      Parameters:
        `request` - the actual request.
        `scope` - the execution scope .
        `chain` - the next element in the request execution chain.
      Throws:
        `IOException`
        `org.apache.hc.core5.http.HttpException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.